--- ./internal/server/instance/drivers/agent-loader/install.sh.orig	2024-10-04 00:42:08.000000000 +1000
+++ ./internal/server/instance/drivers/agent-loader/install.sh	2024-10-08 11:50:40.672819166 +1100
@@ -31,6 +31,20 @@
 sed -i "s#TARGET#${TARGET}#g" "${TARGET}/systemd/system/incus-agent.service"
 sed -i "s#TARGET#${TARGET}#g" "${TARGET}/systemd/incus-agent-setup"
 
+# Support incus-agent for non-systemd systems.
+if [ -e /etc/slackware-version ]; then
+  cat <<EOF >>/etc/rc.d/rc.local
+
+if [ -x /lib/systemd/incus-agent-setup ]; then
+  /lib/systemd/incus-agent-setup
+  if [ -d /run/incus_agent ]; then
+    cd /run/incus_agent && /run/incus_agent/incus-agent &
+  fi
+fi
+
+EOF
+fi
+
 # Make sure systemd is aware of them.
 systemctl daemon-reload
 
